Bug 501380 - pm-utils - Suspend and hibernate does not work on Fedora release 11 on an IBM (Lenovo) Thinkpad T60 (32bit, Centrino Duo processor with ATI mobility X1300)
pm-utils - Suspend and hibernate does not work on Fedora release 11 on an IB...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pm-utils (Show other bugs)
13
x86_64 Linux
low Severity urgent
: ---
: ---
Assigned To: Jaroslav Škarvada
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-18 16:29 EDT by the.hw.group
Modified: 2013-02-08 13:59 EST (History)
17 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 10:12:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
sosreport (1017.76 KB, application/x-bzip2)
2009-05-19 03:09 EDT, the.hw.group
no flags Details
pm-utils-bugreport-info.sh (5.10 KB, text/plain)
2010-05-12 04:17 EDT, openfred
no flags Details
/var/log/pm-suspend.log (3.67 KB, text/x-log)
2010-05-12 04:18 EDT, openfred
no flags Details

  None (edit)
Description the.hw.group 2009-05-18 16:29:47 EDT
Description of problem:
Suspend and hibernate does not work on Fedora Rawhide (11) on an IBM (Lenovo) Thinkpad T60 (32bit, Centrino Duo processor). When you under the system menu (or by hitting Fn + F4) select "Shutdown..." then select suspend / hibernate, the system WILL suspend or hibernate (when selected), however the system will not fully recover from the suspend / hibernate session. When the screen comes back online, it is distorted and unreadable. I am forced ot hold down the power button on the T60, which will "hard reset" the system.

This behaviour can be reproduced on a fully updated system, (via F11 / rawhide repo) or using a stock install of fedora 11 beta, or RC, on an IBM Lenovo Thinkpad T60 with a Intel Centrino Duo processor.

Please let me know what information is needed to resolve this. Thank you!




Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 the.hw.group 2009-05-18 16:37:56 EDT
Output of lshal:

# lshal | egrep "(system.hardware.(product|vendor|version)|smbios.bios.version)"

  system.hardware.product = '2007BT7'  (string)
  system.hardware.vendor = 'LENOVO'  (string)
  system.hardware.version = 'ThinkPad T60'  (string)


Hope this helps!
Comment 2 the.hw.group 2009-05-18 16:49:37 EDT
attaching pm-utils-bugreport-info.sh Output below.
Hope this helps!!!


[root@none ~]# pm-utils-bugreport-info.sh
SUSPEND LOG
Initial commandline parameters: 
Mon May 18 15:49:51 EDT 2009: Running hooks for suspend.
/usr/lib/pm-utils/sleep.d/00auto-quirk suspend suspend: Adding quirks from HAL: --quirk-s3-bios --quirk-s3-mode 
success.
/usr/lib/pm-utils/sleep.d/00logging suspend suspend: Linux fail.epictest.c0m 2.6.29.3-140.fc11.i686.PAE #1 SMP Tue May 12 10:44:10 EDT 2009 i686 i686 i386 GNU/Linux
Module                  Size  Used by
fuse                   49768  2 
ipt_MASQUERADE          2364  1 
iptable_nat             5152  1 
nf_nat                 14736  2 ipt_MASQUERADE,iptable_nat
bridge                 41488  0 
stp                     1944  1 bridge
llc                     4780  2 bridge,stp
autofs4                22072  3 
sunrpc                152352  1 
ipv6                  232288  32 
cpufreq_ondemand        6056  2 
acpi_cpufreq            8224  0 
kqemu                 121852  0 
dm_multipath           13512  0 
kvm_intel              39696  0 
kvm                   128332  1 kvm_intel
uinput                  6496  0 
arc4                    1580  2 
snd_hda_codec_analog    54964  1 
ecb                     2452  2 
snd_hda_intel          24028  2 
option                 18892  0 
snd_hda_codec          54280  2 snd_hda_codec_analog,snd_hda_intel
snd_hwdep               6584  1 snd_hda_codec
iwl3945               125016  0 
mac80211              164700  1 iwl3945
snd_pcm                62632  2 snd_hda_intel,snd_hda_codec
usbserial              26764  1 option
yenta_socket           21228  1 
thinkpad_acpi          53944  0 
hwmon                   2148  1 thinkpad_acpi
lib80211                5064  1 iwl3945
snd_timer              17888  1 snd_pcm
i2c_i801                8060  0 
snd                    49056  10 snd_hda_codec_analog,snd_hda_intel,snd_hda_codec,snd_hwdep,snd_pcm,snd_timer
iTCO_wdt               10464  0 
iTCO_vendor_support     2736  1 iTCO_wdt
soundcore               5404  1 snd
joydev                  8964  0 
video                  17372  0 
cfg80211               30560  2 iwl3945,mac80211
usb_storage            82556  0 
e1000e                100584  0 
rsrc_nonstatic          9784  1 yenta_socket
snd_page_alloc          7644  2 snd_hda_intel,snd_pcm
pcspkr                  2156  0 
output                  2364  1 video
irda                   94516  0 
crc_ccitt               1588  1 irda
ata_generic             4264  0 
pata_acpi               3620  0 
radeon                479860  2 
drm                   165876  2 radeon
i2c_algo_bit            4804  1 radeon
i2c_core               18016  4 i2c_i801,radeon,drm,i2c_algo_bit
             total       used       free     shared    buffers     cached
Mem:       3097184     498888    2598296          0      93620     171144
-/+ buffers/cache:     234124    2863060
Swap:      5128184          0    5128184
success.
/usr/lib/pm-utils/sleep.d/00powersave suspend suspend: success.
/usr/lib/pm-utils/sleep.d/01grub suspend suspend: not applicable.
/usr/lib/pm-utils/sleep.d/49bluetooth suspend suspend: not applicable.
/usr/lib/pm-utils/sleep.d/55NetworkManager suspend suspend: success.
/usr/lib/pm-utils/sleep.d/56atd suspend suspend: success.
/usr/lib/pm-utils/sleep.d/75modules suspend suspend: not applicable.
/usr/lib/pm-utils/sleep.d/90clock suspend suspend: not applicable.
/usr/lib/pm-utils/sleep.d/94cpufreq suspend suspend: success.
/usr/lib/pm-utils/sleep.d/95led suspend suspend: success.
/usr/lib/pm-utils/sleep.d/95packagekit suspend suspend: success.
/usr/lib/pm-utils/sleep.d/98smart-kernel-video suspend suspend: success.
/usr/lib/pm-utils/sleep.d/99hd-apm-restore.hook suspend suspend: saving level 128 for device sda
success.
/usr/lib/pm-utils/sleep.d/99video suspend suspend: kernel.acpi_video_flags = 0
success.
Mon May 18 15:49:51 EDT 2009: performing suspend
Mon May 18 15:50:02 EDT 2009: Awake.
Mon May 18 15:50:02 EDT 2009: Running hooks for resume
/usr/lib/pm-utils/sleep.d/99video resume suspend: Returned exit code 1.
/usr/lib/pm-utils/sleep.d/99hd-apm-restore.hook resume suspend: restoring level 128 for device sda

/dev/sda:
 setting Advanced Power Management level to 0x80 (128)
 APM_level	= 128
success.
/usr/lib/pm-utils/sleep.d/98smart-kernel-video resume suspend: success.
/usr/lib/pm-utils/sleep.d/95packagekit resume suspend: method return sender=:1.40 -> dest=:1.65 reply_serial=2
success.
/usr/lib/pm-utils/sleep.d/95led resume suspend: success.
/usr/lib/pm-utils/sleep.d/94cpufreq resume suspend: success.
/usr/lib/pm-utils/sleep.d/90clock resume suspend: not applicable.
/usr/lib/pm-utils/sleep.d/75modules resume suspend: success.
/usr/lib/pm-utils/sleep.d/56atd resume suspend: Stopping atd: [  OK  ]
[  OK  ] atd: [  OK  ]
success.
/usr/lib/pm-utils/sleep.d/55NetworkManager resume suspend: success.
/usr/lib/pm-utils/sleep.d/49bluetooth resume suspend: not applicable.
/usr/lib/pm-utils/sleep.d/01grub resume suspend: not applicable.
/usr/lib/pm-utils/sleep.d/00powersave resume suspend: success.
/usr/lib/pm-utils/sleep.d/00logging resume suspend: success.
/usr/lib/pm-utils/sleep.d/00auto-quirk resume suspend: success.
======
SYS POWER
total 0
-rw-r--r--. 1 root root 4096 May 18 15:52 disk
-rw-r--r--. 1 root root 4096 May 18 16:40 image_size
-rw-r--r--. 1 root root 4096 May 18 16:40 pm_test
-rw-r--r--. 1 root root 4096 May 18 16:40 pm_trace
-rw-r--r--. 1 root root 4096 May 18 16:40 resume
-rw-r--r--. 1 root root 4096 May 18 15:52 state
======
SYS POWER STATE
mem disk
======
SYS POWER DISK
[platform] test testproc shutdown reboot 
======
HAL INFO
  power_management.quirk.s3_bios = true  (bool)
  power_management.quirk.s3_mode = true  (bool)
  system.firmware.version = '79ETE3WW (2.23 )'  (string)
  system.hardware.product = '2007BT7'  (string)
  system.hardware.vendor = 'LENOVO'  (string)
  system.hardware.version = 'ThinkPad T60'  (string)
======
ETC PM
/etc/pm:
total 12
drwxr-xr-x. 2 root root 4096 Apr 24 05:51 config.d
drwxr-xr-x. 2 root root 4096 Apr 24 05:51 power.d
drwxr-xr-x. 2 root root 4096 Apr 24 05:51 sleep.d

/etc/pm/config.d:
total 0

/etc/pm/power.d:
total 0

/etc/pm/sleep.d:
total 0
DIR /etc/pm/config.d
======
DIR /etc/pm/power.d
======
DIR /etc/pm/sleep.d
======
UNAME
Linux fail.epictest.c0m 2.6.29.3-140.fc11.i686.PAE #1 SMP Tue May 12 10:44:10 EDT 2009 i686 i686 i386 GNU/Linux
======
RPM
package kernel is not installed
pm-utils-1.2.5-2.fc11
hal-0.5.12-26.20090226git.fc11
hal-info-20090414-1.fc11
gnome-power-manager-2.26.1-3.fc11
vbetool-1.1-3.fc11
radeontool-1.5-5.fc11
hdparm-9.12-1.fc11
======
FEDORA RELEASE
Fedora release 11 (Leonidas)
======
Comment 3 the.hw.group 2009-05-19 03:09:11 EDT
Created attachment 344580 [details]
sosreport

sos report. Hope this helps!
Comment 4 Bug Zapper 2009-06-09 12:04:37 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 the.hw.group 2009-06-15 13:39:53 EDT
Any update / news on this issue? Also worth a note, the graphics card in this Laptop is an ATI mobility X1300. I forgot to mention this, it may make a difference. (No ATI drivers {fglrx} are installed.)
Comment 6 Nenad Mikša 2009-06-23 18:13:03 EDT
Hello everyone!

I've just installed Fedora 11 on my HP nx9420 laptop with ATi Mobility Radeon X1600 graphics card and suspend to RAM doesn't work.

While trying to suspend, graphics card remains powered on and resume is impossible - hard reboot is required.

Also, kwin composition doesn't work on this card (all windows are messed up).

Both worked fine under Ubuntu 8.10 and both fglrx and radeon drivers.

I guess it's a bug in radeon driver and all R500-based cards might be affected.
Comment 7 Nenad Mikša 2009-06-24 17:20:43 EDT
I've found a workaround for my problem - disabling kernel mode setting gives me ability to proper suspend and resume.

I just have to add "nomodeset" option to kernel while booting.
Comment 8 Eduardo Habkost 2009-07-13 09:10:56 EDT
Just confirmed that the 'nomodeset' workaround worked for me, too (Thinkpad T60 with ATI Mobility Radeon X1300).
Comment 9 Nenad Mikša 2009-09-08 07:36:20 EDT
By updating to kernel 2.6.30 the issue was fixed for me...
Comment 10 Jason Masker 2009-09-09 23:14:46 EDT
2.6.30 still does not seem to solve the problem for T60 with Radeon X1400.
Comment 11 Craig Anthony 2009-11-29 03:55:10 EST
This problem still occurs out of the box on my T60p with Radeon Mobility X1400 on F12 (kernel 2.6.31.5-127.fc12.x86_64).  "nomodeset" does effectively workaround the problem, at the cost of losing any console mode greater than 80x25.
Comment 12 Richard Schwarting 2010-01-07 00:49:35 EST
Perhaps these are relevant:
https://bugzilla.redhat.com/show_bug.cgi?id=541562
http://bugs.freedesktop.org/show_bug.cgi?id=23290
Comment 13 Andrea Gazzaniga 2010-02-15 04:39:40 EST
Had the same issue (only hibernate) on a Dell Latitude d530 and Fedora 11, it is now SOLVED on kernel 2.6.30.10-105.2.16.fc11.i586.
Comment 14 the.hw.group 2010-03-15 01:59:16 EDT
I am *still* having these same suspend / hibernate issues on Fedora 12 on both the 2.6.31-X and 2.6.32 64bit Kernels, on my IBM Lenovo Thinkpad W700ds. 

when I either close the laptop to *sleep*, when it wakes up, the screen is just black and I have to hard reset.

Also the same issue with hibernate.
Comment 15 the.hw.group 2010-03-15 02:04:00 EDT
Fedora 12 (64bit) pm-utils-bugreport-info.sh Output for kernels :
kernel-2.6.31.5-127.fc12
kernel-2.6.32.9-70.fc12


pm-utils-bugreport-info.sh
SUSPEND LOG
Initial commandline parameters: 
Mon Mar 15 00:37:48 EDT 2010: Running hooks for suspend.
/usr/lib64/pm-utils/sleep.d/00auto-quirk suspend suspend: Adding quirks from HAL: --quirk-dpms-on --quirk-dpms-suspend --quirk-vbe-post --quirk-vbemode-restore --quirk-vbestate-restore --quirk-vga-mode-3 
success.
/usr/lib64/pm-utils/sleep.d/00logging suspend suspend: Linux failtest 2.6.31.5-127.fc12.x86_64 #1 SMP Sat Nov 7 21:11:14 EST 2009 x86_64 x86_64 x86_64 GNU/Linux
Module                  Size  Used by
mmc_block              11752  0 
vfat                   11040  0 
fat                    50200  1 vfat
usb_storage            60592  0 
ip6table_filter         4016  1 
ip6_tables             19664  1 ip6table_filter
sata_sil24             14788  0 
fuse                   62048  2 
nfs                   280176  1 
lockd                  71572  1 nfs
fscache                38856  1 nfs
nfs_acl                 3152  1 nfs
auth_rpcgss            41456  1 nfs
rfcomm                 71504  4 
sco                    19972  2 
bridge                 54112  0 
stp                     2724  1 bridge
llc                     6400  2 bridge,stp
bnep                   19472  4 
l2cap                  38992  26 rfcomm,bnep
vboxnetadp              6688  0 
vboxnetflt             14192  0 
vboxdrv              1744764  3 vboxnetadp,vboxnetflt
autofs4                27448  3 
sunrpc                191864  8 nfs,lockd,nfs_acl,auth_rpcgss
cpufreq_ondemand        7824  4 
acpi_cpufreq           10528  0 
freq_table              4864  2 cpufreq_ondemand,acpi_cpufreq
xt_physdev              2592  1 
ip6t_REJECT             5856  2 
nf_conntrack_ipv6      21880  2 
ipv6                  298864  28 ip6t_REJECT,nf_conntrack_ipv6
dm_multipath           17304  0 
uinput                  9248  0 
snd_hda_codec_conexant    32592  1 
snd_hda_intel          30344  6 
arc4                    2160  2 
snd_hda_codec          72832  2 snd_hda_codec_conexant,snd_hda_intel
ecb                     3264  2 
snd_hwdep               9224  1 snd_hda_codec
snd_seq                58080  0 
snd_seq_device          7620  1 snd_seq
iwlagn                144576  0 
snd_pcm                83144  4 snd_hda_intel,snd_hda_codec
iwlcore               171748  1 iwlagn
btusb                  18756  3 
mac80211              181512  2 iwlagn,iwlcore
snd_timer              22608  2 snd_seq,snd_pcm
bluetooth              94884  13 rfcomm,sco,bnep,l2cap,btusb
joydev                 11984  0 
thinkpad_acpi          69276  0 
firewire_ohci          23348  0 
snd                    67592  18 snd_hda_codec_conexant,snd_hda_intel,snd_hda_codec,snd_hwdep,snd_seq,snd_seq_device,snd_pcm,snd_timer
cfg80211               87800  3 iwlagn,iwlcore,mac80211
soundcore               7328  1 snd
firewire_core          47880  1 firewire_ohci
rfkill                 20488  3 bluetooth,thinkpad_acpi,cfg80211
i2c_i801               12800  0 
e1000e                124624  0 
sdhci_pci               9008  0 
sdhci                  20676  1 sdhci_pci
iTCO_wdt               13008  0 
iTCO_vendor_support     3588  1 iTCO_wdt
mmc_core               58832  2 mmc_block,sdhci
snd_page_alloc          9568  2 snd_hda_intel,snd_pcm
crc_itu_t               2080  1 firewire_core
ricoh_mmc               4384  0 
wmi                     7280  0 
yenta_socket           28412  1 
rsrc_nonstatic         10432  1 yenta_socket
video                  23476  0 
output                  3360  1 video
nouveau               544292  2 
ttm                    41952  1 nouveau
drm_kms_helper         25360  1 nouveau
drm                   171168  4 nouveau,ttm,drm_kms_helper
i2c_algo_bit            6020  1 nouveau
i2c_core               28608  4 i2c_i801,nouveau,drm,i2c_algo_bit
             total       used       free     shared    buffers     cached
Mem:       8124772    7502788     621984          0     167476    5083988
-/+ buffers/cache:    2251324    5873448
Swap:     10223608        468   10223140
success.
/usr/lib64/pm-utils/sleep.d/00powersave suspend suspend: success.
/usr/lib64/pm-utils/sleep.d/01grub suspend suspend: not applicable.
/usr/lib64/pm-utils/sleep.d/49bluetooth suspend suspend: success.
/usr/lib64/pm-utils/sleep.d/55NetworkManager suspend suspend: success.
/usr/lib64/pm-utils/sleep.d/56atd suspend suspend: success.
/usr/lib64/pm-utils/sleep.d/56dhclient suspend suspend: success.
/usr/lib64/pm-utils/sleep.d/75modules suspend suspend: not applicable.
/usr/lib64/pm-utils/sleep.d/90clock suspend suspend: not applicable.
/usr/lib64/pm-utils/sleep.d/94cpufreq suspend suspend: success.
/usr/lib64/pm-utils/sleep.d/95led suspend suspend: success.
/usr/lib64/pm-utils/sleep.d/95packagekit suspend suspend: success.
/usr/lib64/pm-utils/sleep.d/98smart-kernel-video suspend suspend: success.
/usr/lib64/pm-utils/sleep.d/99hd-apm-restore.hook suspend suspend: saving level 128 for device sdb
saving level 128 for device sda
success.
/usr/lib64/pm-utils/sleep.d/99video suspend suspend: kernel.acpi_video_flags = 0
success.
Mon Mar 15 00:37:49 EDT 2010: performing suspend
Mon Mar 15 00:38:11 EDT 2010: Awake.
Mon Mar 15 00:38:11 EDT 2010: Running hooks for resume
/usr/lib64/pm-utils/sleep.d/99video resume suspend: Returned exit code 1.
/usr/lib64/pm-utils/sleep.d/99hd-apm-restore.hook resume suspend: restoring level 128 for device sdb

/dev/sdb:
 setting Advanced Power Management level to 0x80 (128)
 APM_level	= 128
restoring level 128 for device sda

/dev/sda:
 setting Advanced Power Management level to 0x80 (128)
 APM_level	= 128
success.
/usr/lib64/pm-utils/sleep.d/98smart-kernel-video resume suspend: success.
/usr/lib64/pm-utils/sleep.d/95packagekit resume suspend: method return sender=:1.261 -> dest=:1.281 reply_serial=2
success.
/usr/lib64/pm-utils/sleep.d/95led resume suspend: success.
/usr/lib64/pm-utils/sleep.d/94cpufreq resume suspend: success.
/usr/lib64/pm-utils/sleep.d/90clock resume suspend: not applicable.
/usr/lib64/pm-utils/sleep.d/75modules resume suspend: success.
/usr/lib64/pm-utils/sleep.d/56dhclient resume suspend: success.
/usr/lib64/pm-utils/sleep.d/56atd resume suspend: Stopping atd: [  OK  ]
[  OK  ] atd: [  OK  ]
success.
/usr/lib64/pm-utils/sleep.d/55NetworkManager resume suspend: success.
/usr/lib64/pm-utils/sleep.d/49bluetooth resume suspend: success.
/usr/lib64/pm-utils/sleep.d/01grub resume suspend: not applicable.
/usr/lib64/pm-utils/sleep.d/00powersave resume suspend: success.
/usr/lib64/pm-utils/sleep.d/00logging resume suspend: success.
/usr/lib64/pm-utils/sleep.d/00auto-quirk resume suspend: success.
======
SYS POWER
total 0
-rw-r--r--. 1 root root 4096 Mar 15 00:43 disk
-rw-r--r--. 1 root root 4096 Mar 15 01:56 image_size
-rw-r--r--. 1 root root 4096 Mar 15 01:56 pm_test
-rw-r--r--. 1 root root 4096 Mar 15 01:56 pm_trace
-rw-r--r--. 1 root root 4096 Mar 15 01:56 resume
-rw-r--r--. 1 root root 4096 Mar 15 00:43 state
======
SYS POWER STATE
mem disk
======
SYS POWER DISK
[platform] test testproc shutdown reboot 
======
HAL INFO
  power_management.quirk.dpms_on = true  (bool)
  power_management.quirk.dpms_suspend = true  (bool)
  power_management.quirk.vbe_post = true  (bool)
  power_management.quirk.vbemode_restore = true  (bool)
  power_management.quirk.vbestate_restore = true  (bool)
  power_management.quirk.vga_mode_3 = true  (bool)
  system.firmware.version = '7ZETA9WW (2.09 )'  (string)
  system.hardware.product = '2757CTO'  (string)
  system.hardware.vendor = 'LENOVO'  (string)
  system.hardware.version = 'ThinkPad W700ds'  (string)
======
ETC PM
/etc/pm:
total 12
drwxr-xr-x. 2 root root 4096 Aug 25  2009 config.d
drwxr-xr-x. 2 root root 4096 Aug 25  2009 power.d
drwxr-xr-x. 2 root root 4096 Aug 25  2009 sleep.d

/etc/pm/config.d:
total 0

/etc/pm/power.d:
total 0

/etc/pm/sleep.d:
total 0
DIR /etc/pm/config.d
======
DIR /etc/pm/power.d
======
DIR /etc/pm/sleep.d
======
UNAME
Linux test 2.6.31.5-127.fc12.x86_64 #1 SMP Sat Nov 7 21:11:14 EST 2009 x86_64 x86_64 x86_64 GNU/Linux
======
RPM
kernel-2.6.31.5-127.fc12
kernel-2.6.32.9-70.fc12
pm-utils-1.2.5-7.fc12
hal-0.5.13-9.fc12
hal-info-20090716-3.fc12
gnome-power-manager-2.28.2-2.fc12
vbetool-1.2.2-1.fc12
radeontool-1.5-6.fc12
hdparm-9.16-3.fc12
======
FEDORA RELEASE
Fedora release 12 (Constantine)
======
Comment 16 John 2010-04-01 01:25:36 EDT
I have the same issue as the.hw.group@gmail.com.  Will not come back from hibernate.  I don't know if it completely goes into hibernate so I'd be happy to test it if someone can tell me how.  I do notice the half-moon light steadily blinking when it does try to go into hibernation.  I have to hard reset to get it back.  This same laptop hibernates fine with Ubuntu 9.04 or 9.10.


[me@changeme ~]$ /usr/bin/pm-utils-bugreport-info.sh
SUSPEND LOG
Initial commandline parameters: 
Sun Mar 28 12:50:03 MDT 2010: Running hooks for suspend.
/usr/lib/pm-utils/sleep.d/00auto-quirk suspend suspend: Adding quirks from HAL: --quirk-vbe-post 
success.
/usr/lib/pm-utils/sleep.d/00logging suspend suspend: Linux changeme 2.6.32.9-70.fc12.i686 #1 SMP Wed Mar 3 05:14:32 UTC 2010 i686 i686 i386 GNU/Linux
Module                  Size  Used by
aes_i586                7126  1 
aes_generic            26436  1 aes_i586
vfat                    6740  1 
fat                    37704  1 vfat
fuse                   48375  2 
rfcomm                 54605  0 
sco                    13568  0 
bridge                 39353  0 
stp                     1399  1 bridge
llc                     3671  2 bridge,stp
bnep                   11978  0 
l2cap                  38835  4 rfcomm,bnep
cpufreq_ondemand        6993  2 
acpi_cpufreq            6535  0 
ip6t_REJECT             3394  2 
nf_conntrack_ipv6      14859  2 
ip6table_filter         2227  1 
ip6_tables              9409  1 ip6table_filter
ipv6                  223738  20 ip6t_REJECT,nf_conntrack_ipv6
uinput                  5244  0 
snd_hda_codec_analog    52924  1 
arc4                    1073  2 
ecb                     1575  2 
btusb                  12376  0 
snd_hda_intel          19643  2 
bluetooth              74122  5 rfcomm,sco,bnep,l2cap,btusb
mmc_block               6974  2 
iwlagn                117690  0 
snd_hda_codec          59921  2 snd_hda_codec_analog,snd_hda_intel
snd_hwdep               4868  1 snd_hda_codec
snd_seq                42811  0 
iwlcore               170750  1 iwlagn
sdhci_pci               5176  0 
snd_seq_device          5031  1 snd_seq
sdhci                  15252  1 sdhci_pci
snd_pcm                60884  2 snd_hda_intel,snd_hda_codec
snd_timer              15541  2 snd_seq,snd_pcm
mac80211              168594  2 iwlagn,iwlcore
mmc_core               51252  2 mmc_block,sdhci
snd                    46576  12 snd_hda_codec_analog,snd_hda_intel,snd_hda_codec,snd_hwdep,snd_seq,snd_seq_device,snd_pcm,snd_timer
cfg80211               97861  3 iwlagn,iwlcore,mac80211
ricoh_mmc               2662  0 
iTCO_wdt                7850  0 
thinkpad_acpi          51023  0 
e1000e                103588  0 
soundcore               4863  1 snd
iTCO_vendor_support     2023  1 iTCO_wdt
snd_page_alloc          6061  2 snd_hda_intel,snd_pcm
wmi                     5620  0 
rfkill                 13401  4 bluetooth,cfg80211,thinkpad_acpi
i2c_i801                8337  0 
joydev                  7408  0 
dm_multipath           12324  0 
firewire_ohci          17244  0 
yenta_socket           19397  1 
firewire_core          36453  1 firewire_ohci
video                  16522  0 
output                  1605  1 video
rsrc_nonstatic          7970  1 yenta_socket
crc_itu_t               1223  1 firewire_core
nouveau               292109  2 
ttm                    40269  1 nouveau
drm_kms_helper         22251  1 nouveau
drm                   134966  4 nouveau,ttm,drm_kms_helper
i2c_algo_bit            4073  1 nouveau
i2c_core               21732  5 i2c_i801,nouveau,drm_kms_helper,drm,i2c_algo_bit
             total       used       free     shared    buffers     cached
Mem:       3080024     707268    2372756          0      85192     339284
-/+ buffers/cache:     282792    2797232
Swap:      5193720          0    5193720
success.
/usr/lib/pm-utils/sleep.d/00powersave suspend suspend: success.
/usr/lib/pm-utils/sleep.d/01grub suspend suspend: not applicable.
/usr/lib/pm-utils/sleep.d/49bluetooth suspend suspend: success.
/usr/lib/pm-utils/sleep.d/55NetworkManager suspend suspend: success.
/usr/lib/pm-utils/sleep.d/56atd suspend suspend: success.
/usr/lib/pm-utils/sleep.d/56dhclient suspend suspend: success.
/usr/lib/pm-utils/sleep.d/75modules suspend suspend: not applicable.
/usr/lib/pm-utils/sleep.d/90clock suspend suspend: not applicable.
/usr/lib/pm-utils/sleep.d/94cpufreq suspend suspend: success.
/usr/lib/pm-utils/sleep.d/95led suspend suspend: success.
/usr/lib/pm-utils/sleep.d/95packagekit suspend suspend: success.
/usr/lib/pm-utils/sleep.d/98smart-kernel-video suspend suspend: success.
/usr/lib/pm-utils/sleep.d/99hd-apm-restore.hook suspend suspend: saving level 128 for device sda
success.
/usr/lib/pm-utils/sleep.d/99video suspend suspend: kernel.acpi_video_flags = 0
success.
Sun Mar 28 12:50:04 MDT 2010: performing suspend
======
SYS POWER
total 0
-rw-r--r--. 1 root root 4096 Mar 31 19:21 disk
-rw-r--r--. 1 root root 4096 Mar 31 23:02 image_size
-rw-r--r--. 1 root root 4096 Mar 31 23:02 pm_test
-rw-r--r--. 1 root root 4096 Mar 31 23:02 pm_trace
-rw-r--r--. 1 root root 4096 Mar 31 23:02 resume
-rw-r--r--. 1 root root 4096 Mar 31 19:21 state
======
SYS POWER STATE
mem disk
======
SYS POWER DISK
[platform] test testproc shutdown reboot 
======
HAL INFO
  power_management.quirk.vbe_post = true  (bool)
  system.firmware.version = '7LETC5WW (2.25 )'  (string)
  system.hardware.product = '6460DWU'  (string)
  system.hardware.vendor = 'LENOVO'  (string)
  system.hardware.version = 'ThinkPad T61'  (string)
======
ETC PM
/etc/pm:
total 12
drwxr-xr-x. 2 root root 4096 Aug 25  2009 config.d
drwxr-xr-x. 2 root root 4096 Aug 25  2009 power.d
drwxr-xr-x. 2 root root 4096 Aug 25  2009 sleep.d

/etc/pm/config.d:
total 0

/etc/pm/power.d:
total 0

/etc/pm/sleep.d:
total 0
DIR /etc/pm/config.d
======
DIR /etc/pm/power.d/
======
DIR /etc/pm/sleep.d
======
UNAME
Linux changeme 2.6.32.9-70.fc12.i686 #1 SMP Wed Mar 3 05:14:32 UTC 2010 i686 i686 i386 GNU/Linux
======
RPM
kernel-2.6.31.5-127.fc12
kernel-2.6.32.9-70.fc12
pm-utils-1.2.5-7.fc12
hal-0.5.13-9.fc12
hal-info-20090716-3.fc12
gnome-power-manager-2.28.2-2.fc12
vbetool-1.2.2-1.fc12
radeontool-1.5-6.fc12
hdparm-9.16-3.fc12
======
FEDORA RELEASE
Fedora release 12 (Constantine)
Comment 17 openfred 2010-05-12 04:15:45 EDT
Same issue on a Toshiba Tecra A9 A9-10M (PTS52E)

Never commes back from pm-suspend nor pm-hibernate !
Please find attached the results of pm-utils-bugreport-info.sh and /var/log/pm-suspend.log

Fred
Comment 18 openfred 2010-05-12 04:17:27 EDT
Created attachment 413350 [details]
pm-utils-bugreport-info.sh
Comment 19 openfred 2010-05-12 04:18:12 EDT
Created attachment 413351 [details]
/var/log/pm-suspend.log
Comment 20 the.hw.group 2010-06-07 21:54:52 EDT
Confirmed the same issue still exists on Fedora 13 64bit
Updating ticket to Fedora 13

Suspend AND hibernate does not work on a Lenovo Thinkpad w700ds Running Fedora 13 x86_64

=== /usr/bin/pm-utils-bugreport-info.sh Information: ===


# /usr/bin/pm-utils-bugreport-info.sh
SUSPEND LOG
Initial commandline parameters: 
Mon Jun  7 12:18:36 EDT 2010: Running hooks for suspend.
/usr/lib64/pm-utils/sleep.d/00auto-quirk suspend suspend: Adding quirks from HAL: --quirk-dpms-on --quirk-dpms-suspend --quirk-vbe-post --quirk-vbemode-restore --quirk-vbestate-restore --quirk-vga-mode-3 
success.
/usr/lib64/pm-utils/sleep.d/00logging suspend suspend: Linux localhost 2.6.33.5-112.fc13.x86_64 #1 SMP Thu May 27 02:28:31 UTC 2010 x86_64 x86_64 x86_64 GNU/Linux
Module                  Size  Used by
fuse                   54749  4 
ipt_MASQUERADE          2208  1 
iptable_nat             5420  1 
nf_nat                 19059  2 ipt_MASQUERADE,iptable_nat
rfcomm                 65106  4 
sco                    16188  2 
bridge                 45753  0 
stp                     1887  1 bridge
llc                     4557  2 bridge,stp
bnep                   15121  2 
l2cap                  45185  16 rfcomm,bnep
vboxnetadp              4567  0 
vboxnetflt             12637  0 
vboxdrv              1751200  2 vboxnetadp,vboxnetflt
sunrpc                192013  1 
ipv6                  267033  30 
cpufreq_ondemand        8420  4 
acpi_cpufreq            7477  1 
freq_table              3851  2 cpufreq_ondemand,acpi_cpufreq
kvm_intel              40231  0 
kvm                   252952  1 kvm_intel
uinput                  7230  0 
nvidia              10822390  30 
arc4                    1377  2 
ecb                     1967  2 
mmc_block               8257  2 
iwlagn                147297  0 
snd_hda_codec_conexant    34904  1 
iwlcore               221094  1 iwlagn
snd_hda_intel          24200  3 
snd_hda_codec          73671  2 snd_hda_codec_conexant,snd_hda_intel
mac80211              196929  2 iwlagn,iwlcore
snd_hwdep               6222  1 snd_hda_codec
snd_seq                50941  0 
snd_seq_device          5895  1 snd_seq
sdhci_pci               6910  0 
snd_pcm                76131  2 snd_hda_intel,snd_hda_codec
thinkpad_acpi          65760  0 
btusb                  15012  2 
cfg80211              117099  3 iwlagn,iwlcore,mac80211
sdhci                  17430  1 sdhci_pci
i2c_i801               10086  0 
snd_timer              19234  2 snd_seq,snd_pcm
wmi                     6600  0 
iTCO_wdt               10864  0 
mmc_core               59134  2 mmc_block,sdhci
ricoh_mmc               3208  0 
snd                    60573  15 snd_hda_codec_conexant,snd_hda_intel,snd_hda_codec,snd_hwdep,snd_seq,snd_seq_device,snd_pcm,thinkpad_acpi,snd_timer
joydev                  9439  0 
iTCO_vendor_support     2451  1 iTCO_wdt
bluetooth              87181  9 rfcomm,sco,bnep,l2cap,btusb
soundcore               6198  1 snd
snd_page_alloc          7221  2 snd_hda_intel,snd_pcm
microcode              17930  0 
e1000e                115661  0 
rfkill                 16402  5 thinkpad_acpi,cfg80211,bluetooth
aes_x86_64              7654  2 
aes_generic            27012  1 aes_x86_64
xts                     2335  1 
gf128mul                7050  1 xts
dm_crypt               10930  1 
firewire_ohci          20136  0 
yenta_socket           22610  1 
rsrc_nonstatic          7974  1 yenta_socket
firewire_core          42377  1 firewire_ohci
crc_itu_t               1523  1 firewire_core
nouveau               381667  0 
ttm                    53215  1 nouveau
drm_kms_helper         23936  1 nouveau
drm                   169073  3 nouveau,ttm,drm_kms_helper
i2c_algo_bit            4781  1 nouveau
video                  20741  1 nouveau
output                  2117  1 video
i2c_core               24507  6 nvidia,i2c_i801,nouveau,drm_kms_helper,drm,i2c_algo_bit
             total       used       free     shared    buffers     cached
Mem:       8123724    2752468    5371256          0     125800    1978784
-/+ buffers/cache:     647884    7475840
Swap:     10223608          0   10223608
success.
/usr/lib64/pm-utils/sleep.d/00powersave suspend suspend: success.
/usr/lib64/pm-utils/sleep.d/01grub suspend suspend: not applicable.
/usr/lib64/pm-utils/sleep.d/49bluetooth suspend suspend: success.
/usr/lib64/pm-utils/sleep.d/55NetworkManager suspend suspend: success.
/usr/lib64/pm-utils/sleep.d/56atd suspend suspend: success.
/usr/lib64/pm-utils/sleep.d/56dhclient suspend suspend: success.
/usr/lib64/pm-utils/sleep.d/75modules suspend suspend: not applicable.
/usr/lib64/pm-utils/sleep.d/90clock suspend suspend: not applicable.
/usr/lib64/pm-utils/sleep.d/94cpufreq suspend suspend: success.
/usr/lib64/pm-utils/sleep.d/95led suspend suspend: success.
/usr/lib64/pm-utils/sleep.d/95packagekit suspend suspend: success.
/usr/lib64/pm-utils/sleep.d/98smart-kernel-video suspend suspend: success.
/usr/lib64/pm-utils/sleep.d/99hd-apm-restore.hook suspend suspend: saving level 128 for device sda
success.
/usr/lib64/pm-utils/sleep.d/99video suspend suspend: kernel.acpi_video_flags = 0
success.
Mon Jun  7 12:18:37 EDT 2010: performing suspend
======
SYS POWER
total 0
-rw-r--r--. 1 root root 4096 Jun  7 18:29 disk
-rw-r--r--. 1 root root 4096 Jun  7 21:54 image_size
-rw-r--r--. 1 root root 4096 Jun  7 21:54 pm_test
-rw-r--r--. 1 root root 4096 Jun  7 21:54 pm_trace
-rw-r--r--. 1 root root 4096 Jun  7 21:54 resume
-rw-r--r--. 1 root root 4096 Jun  7 18:29 state
======
SYS POWER STATE
mem disk
======
SYS POWER DISK
[platform] test testproc shutdown reboot 
======
HAL INFO
  power_management.quirk.dpms_on = true  (bool)
  power_management.quirk.dpms_suspend = true  (bool)
  power_management.quirk.vbe_post = true  (bool)
  power_management.quirk.vbemode_restore = true  (bool)
  power_management.quirk.vbestate_restore = true  (bool)
  power_management.quirk.vga_mode_3 = true  (bool)
  system.firmware.version = '7ZETA9WW (2.09 )'  (string)
  system.hardware.product = '2757CTO'  (string)
  system.hardware.vendor = 'LENOVO'  (string)
  system.hardware.version = 'ThinkPad W700ds'  (string)
======
ETC PM
/etc/pm:
total 12
drwxr-xr-x. 2 root root 4096 Oct  1  2009 config.d
drwxr-xr-x. 2 root root 4096 Oct  1  2009 power.d
drwxr-xr-x. 2 root root 4096 Oct  1  2009 sleep.d

/etc/pm/config.d:
total 0

/etc/pm/power.d:
total 0

/etc/pm/sleep.d:
total 0
DIR /etc/pm/config.d
======
DIR /etc/pm/power.d
======
DIR /etc/pm/sleep.d
======
UNAME
Linux localhost 2.6.33.5-112.fc13.x86_64 #1 SMP Thu May 27 02:28:31 UTC 2010 x86_64 x86_64 x86_64 GNU/Linux
======
RPM
kernel-2.6.33.3-85.fc13
kernel-2.6.33.5-112.fc13
pm-utils-1.2.6.1-1.fc13
hal-0.5.14-3.fc13
hal-info-20090716-3.fc12
gnome-power-manager-2.30.1-1.fc13
vbetool-1.2.2-1.fc12
radeontool-1.5-6.fc12
hdparm-9.27-1.fc13
======
FEDORA RELEASE
Fedora release 13 (Goddard)
======
Comment 21 Charlie Bennett 2010-08-04 17:56:23 EDT
Latest update kernel as of 8/4/10.

Still broken on Lenovo T61p.
Comment 22 Craig Anthony 2010-08-04 18:03:47 EDT
It's also still broken on the T510... I'm honesty surprised such a major bug has gone unfixed for over a year in a "Desktop" release.
Comment 23 Jaroslav Škarvada 2010-08-23 06:31:26 EDT
(In reply to comment #20)
I noticed you have nvidia and nouveau modules loaded simultaneously. I think it shouldn't be.
Comment 24 Jaroslav Škarvada 2010-08-23 06:34:59 EDT
Also can you do VT switch after resume ALT + (CTRL) + NUMs or the video remains dead? Does the machine respond to network (ssh) or is completely dead? Does the suspend/resume work without X from command line?
Comment 25 no.dres 2010-09-03 05:46:09 EDT
Same thing on IBM T43 Fedora 13 32bit
Comment 26 no.dres 2010-09-03 05:48:00 EDT
SUSPEND LOG
Initial commandline parameters: --quirk-vbemode-restore
--quirk-vbe-post
Fri Sep  3 06:54:32 CEST 2010: Running hooks for suspend.
/usr/lib/pm-utils/sleep.d/00auto-quirk suspend suspend: success.
/usr/lib/pm-utils/sleep.d/00logging suspend suspend: Linux bender3.net13.org 2.6.34.6-47.fc13.i686 #1 SMP Fri Aug 27 09:48:44 UTC 2010 i686 i686 i386 GNU/Linux
Module                  Size  Used by
vfat                    6619  0 
fat                    37555  1 vfat
usb_storage            34964  0 
tcp_lp                  1739  0 
michael_mic             1568  8 
arc4                    1077  4 
ecb                     1579  4 
lib80211_crypt_tkip     6840  2 
fuse                   47907  2 
sunrpc                163601  1 
cpufreq_ondemand        6964  1 
acpi_cpufreq            6601  1 
ip6t_REJECT             3310  2 
nf_conntrack_ipv6      14223  2 
ip6table_filter         1199  1 
ip6_tables              9774  1 ip6table_filter
ipv6                  221726  44 ip6t_REJECT,nf_conntrack_ipv6
kqemu                 120045  0 
uinput                  5287  0 
ipw2200               116061  0 
snd_intel8x0           23080  3 
libipw                 20794  1 ipw2200
cfg80211              110937  2 ipw2200,libipw
snd_ac97_codec         89423  1 snd_intel8x0
thinkpad_acpi          56367  0 
ac97_bus                 906  1 snd_ac97_codec
rfkill                 13433  2 cfg80211,thinkpad_acpi
snd_seq                42775  0 
snd_seq_device          5035  1 snd_seq
snd_pcm                62013  3 snd_intel8x0,snd_ac97_codec
iTCO_wdt                8928  0 
i2c_i801                8402  0 
lib80211                4066  3 lib80211_crypt_tkip,ipw2200,libipw
tg3                    98060  0 
snd_timer              15391  2 snd_seq,snd_pcm
iTCO_vendor_support     2027  1 iTCO_wdt
snd                    46591  12 snd_intel8x0,snd_ac97_codec,thinkpad_acpi,snd_seq,snd_seq_device,snd_pcm,snd_timer
snd_page_alloc          6033  2 snd_intel8x0,snd_pcm
soundcore               4934  1 snd
ppdev                   6722  0 
parport_pc             17513  0 
parport                25805  2 ppdev,parport_pc
microcode              10249  0 
video                  17749  0 
output                  1605  1 video
yenta_socket           20143  0 
rsrc_nonstatic          8472  1 yenta_socket
radeon                627824  2 
ttm                    44639  1 radeon
drm_kms_helper         21722  1 radeon
drm                   138779  4 radeon,ttm,drm_kms_helper
i2c_algo_bit            4117  1 radeon
i2c_core               20553  5 i2c_i801,radeon,drm_kms_helper,drm,i2c_algo_bit
             total       used       free     shared    buffers     cached
Mem:       2061172    1918308     142864          0      74552    1225656
-/+ buffers/cache:     618100    1443072
Swap:     33554428          0   33554428
success.
/usr/lib/pm-utils/sleep.d/00powersave suspend suspend: success.
/usr/lib/pm-utils/sleep.d/01grub suspend suspend: not applicable.
/usr/lib/pm-utils/sleep.d/49bluetooth suspend suspend: not applicable.
/usr/lib/pm-utils/sleep.d/55NetworkManager suspend suspend: success.
/usr/lib/pm-utils/sleep.d/56atd suspend suspend: success.
/usr/lib/pm-utils/sleep.d/56dhclient suspend suspend: success.
/usr/lib/pm-utils/sleep.d/75modules suspend suspend: not applicable.
/usr/lib/pm-utils/sleep.d/90clock suspend suspend: not applicable.
/usr/lib/pm-utils/sleep.d/94cpufreq suspend suspend: success.
/usr/lib/pm-utils/sleep.d/95led suspend suspend: success.
/usr/lib/pm-utils/sleep.d/95packagekit suspend suspend: success.
/usr/lib/pm-utils/sleep.d/98smart-kernel-video suspend suspend: success.
/usr/lib/pm-utils/sleep.d/99hd-apm-restore.hook suspend suspend: saving level 128 for device sda
success.
/usr/lib/pm-utils/sleep.d/99video suspend suspend: kernel.acpi_video_flags = 0
success.
Fri Sep  3 06:54:33 CEST 2010: performing suspend
======
SYS POWER
total 0
-rw-r--r-- 1 root root 4096 Sep  3 11:24 disk
-rw-r--r-- 1 root root 4096 Sep  3 11:34 image_size
-rw-r--r-- 1 root root 4096 Sep  3 11:34 pm_async
-rw-r--r-- 1 root root 4096 Sep  3 11:34 pm_test
-rw-r--r-- 1 root root 4096 Sep  3 11:34 pm_trace
-rw-r--r-- 1 root root 4096 Sep  3 11:34 resume
-rw-r--r-- 1 root root 4096 Sep  3 11:24 state
======
SYS POWER STATE
mem disk
======
SYS POWER DISK
[platform] test testproc shutdown reboot 
======
HAL INFO
  power_management.quirk.vbe_post = true  (bool)
  power_management.quirk.vbemode_restore = true  (bool)
  system.firmware.version = '1YET64WW (1.28 )'  (string)
  system.hardware.product = '2668AJU'  (string)
  system.hardware.vendor = 'IBM'  (string)
  system.hardware.version = 'ThinkPad T43'  (string)
======
ETC PM
/etc/pm:
total 12
drwxr-xr-x. 2 root root 4096 Oct  1  2009 config.d
drwxr-xr-x. 2 root root 4096 Oct  1  2009 power.d
drwxr-xr-x. 2 root root 4096 Oct  1  2009 sleep.d

/etc/pm/config.d:
total 0

/etc/pm/power.d:
total 0

/etc/pm/sleep.d:
total 0
DIR /etc/pm/config.d
======
DIR /etc/pm/power.d
======
DIR /etc/pm/sleep.d
======
UNAME
Linux bender3.net13.org 2.6.34.6-47.fc13.i686 #1 SMP Fri Aug 27 09:48:44 UTC 2010 i686 i686 i386 GNU/Linux
======
RPM
kernel-2.6.32.16-150.fc12
kernel-2.6.33.6-147.2.4.fc13
kernel-2.6.34.6-47.fc13
pm-utils-1.2.6.1-1.fc13
hal-0.5.14-3.fc13
hal-info-20090716-3.fc12
gnome-power-manager-2.30.1-1.fc13
vbetool-1.2.2-1.fc12
radeontool-1.5-6.fc12
hdparm-9.27-1.fc13
======
FEDORA RELEASE
Fedora release 13 (Goddard)
======
Comment 27 Vikram Mullachery 2010-10-04 23:18:15 EDT
I have noticed that suspend does not work on my thinkpad W510 with Fedora 13 on x86_64.
Comment 28 Amaro R. Silva 2010-10-07 10:13:39 EDT
Unable to suspend laptop - Asus G51J with FC13. I tried all the tracking procedures and suspending without X. Suspend just freezes with a blinking cursor in a black screen and a continuous hard-disk activity, with a hard reset required. Hibernate does the same for a while and then comes back to a new X session.
Comment 29 Jaroslav Škarvada 2011-01-10 09:19:34 EST
Please could you recheck with pm-utils-1.2.6.1-4.fc13?  It is now in updates-testing:
https://admin.fedoraproject.org/updates/pm-utils-1.2.6.1-4.fc13
Comment 30 openfred 2011-01-13 19:05:26 EST
Nice to discover someone is trying to fix this issue!

It seems this bugs is the same as 657952 (x86_64 as well):
https://bugzilla.redhat.com/show_bug.cgi?id=657952
This other bug is the reference in the Fedora testing page:
https://admin.fedoraproject.org/updates/pm-utils-1.2.6.1-4.fc13
Maybe one bug may be closed ?

I tried the new version of pm-utils on a fedora 13 i386, as I have no more x86_64 fedora 13 on the Tosh A9 laptop.
Hopefully I kept a multi-boot with F13 aside with F14...
Before: pm-utils-1.2.6.1-1.fc13.i686
Command to upgrade: yum --enablerepo=updates-testing update pm-utils
After: pm-utils-1.2.6.1-4.fc13.i686

Suspend still fails to wake up the laptop (graphically launched using Gnome, or manually as root by typing pm-suspend).
The good way to wakes up (windows) is to press the Power button, but nothing happens with F13/F14 (same with F11 and F12)...
I have to keep the power button pressed down, to manually force the laptop to switch off...

Fedora: Diods on front of the laptop are the same after pm-suspend compare with the laptop in use.
Power: green on, activity: green on, battery: orange on, wifi: orange on

For windows: suspend works pretty well, the laptop wakes up from suspend, just fine (Hibernation is not activated, to save space on a small partition).
Diods on front are different when the PC is suspended:
Power: green on, activity: green blinking, battery: orange on, wifi: switched off

The laptop is either:
- not able to switch to suspend mode (diods do not indicates the laptop is in suspend mode!!!)
- not able to wakes up from suspend mode...

For information, no other distro has been able to wake up this laptop from suspend mode (Toshiba Tecra A9 A9-10M (PTS52E)).
I tried a recent OpenSUSE, Ubuntu, Debian, only for this purpose (waking up from suspend mode).
Only Windows is able to do the job well.

For information: F14 also fails to wakes up this laptop from suspend, even with a newer version of pm-utils: pm-utils-1.3.1-4.fc14.i686

For information, I tried all the available quirks, none is working...

My understanding is Tecra A9 is not compliant to whatever it should be.
Microsoft knows how to deal with this laptop, and pm-utils is not able to do the job.
A friend reported no problem with a Toshiba Tecra A10 (F13), but I haven't tested myself.

Good point: pm-utils-1.2.6.1-4.fc13.i686 is not worst ;-)
So if it may help someone, go ahead ;-)

I really think the problem is not Fedora related but a pm-utils/toshiba issue, especially when considering the huge amount of laptops with the same issue, from Toshiba, Lenovo, Asus...

Fred
Comment 31 Jaroslav Škarvada 2011-01-14 10:00:22 EST
Well, this thread looks like mixture of several problems:

1) Not resuming correctly - there was a bug in the pm-utils which prevents the correct resume on some machines (those which have vga-mode-3 quirk record in HAL DB and are concurrently using the KMS), bug #657952. If this is your case, please try the pm-utils-1.2.6.1-4.fc13 build and it should fix your problem.

2) Not resuming correctly with the nvidia binary module loaded - looks like some problem with the nvidia binary module, bug #636511 (may be also applicable for F13). Please note this is not supported config. Please try to unload or better blacklist/boot without the nvidia module (may help in some situations where unloading is not enough).

3) Not suspending - HW from comment 30 and maybe others. It looks like kernel/acpi problem and probably we can not fix this in pm-utils. Please install the pm-utils-1.2.6.1-4.fc13 and provide the pm-utils-bugreport-info.sh output. Also please try the following command (from runlevel 5 and also from runlevel 3):

# echo mem > /sys/power/state

If it does not suspend from the runlevel 3 it is probably something wrong in the kernel.
Comment 32 Bug Zapper 2011-06-02 14:04:58 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 33 Bug Zapper 2011-06-27 10:12:23 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.